Bug 146318 - Usability: goto next item/ forward buttons are inconsistent between edit and view mode
Summary: Usability: goto next item/ forward buttons are inconsistent between edit and ...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-Engine (show other bugs)
Version: 0.9.2
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-03 15:08 UTC by Mark Purcell
Modified: 2017-08-05 20:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Purcell 2007-06-03 15:08:50 UTC
Version:           0.9.2-beta2 (using KDE 3.5.7, Debian Package 4:3.5.7.dfsg.1-1 (lenny/sid))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.21-1-686

In view mode the 'Go to the {first,previous,next,last} item' buttons are in the bottom right corner.

In edit mode the 'First/Back/Forward/Last' buttons are in the top left corner.

As these buttons do the same action, they should be consistent:

. They should be in the same location on the window
. They should have the same bubble help
. They should have the same icons

Browser/ konqueror convention is for the top left (Edit view mode), but I can see the logic behind the View mode layout.  Regardless, they should be consistent.

Mark
Comment 1 Nadav Kavalerchik 2007-10-29 22:16:39 UTC
i agree with mark. it was confusing for me on the first few uses
and yesterday, my brother used digikam for his first time and he was really
confused.

maybe...
put the back/forward button inside the image like in fullscreen mode ?
(so it's more clear)
Comment 2 Dotan Cohen 2008-07-15 13:29:26 UTC
This seems to be solved in Digikam 0.10. The icons look the same, they are in the same place.
Comment 3 Andi Clemens 2008-07-15 14:33:04 UTC
They are in the same place? I can't confirm this, album view shows the icons in bottom right (0.9.4-svn and 0.10-svn) and edit window in top left.
Comment 4 caulier.gilles 2008-07-15 19:58:07 UTC
Andy,

This is not possible to move next/prev item buttons to toolsbar without to make a confusion with next/prev album buttons.

Look like Amarok use the same way to host on status bar next/prev buttons to read track...

Gilles Caulier
Comment 5 Andi Clemens 2008-07-15 20:12:17 UTC
Now I am confused. There are next / prev album buttons? Never seen them and I can't find them either now. Anyway the bugreport still is not "fixed" as Dotan mentioned... or am I totally wrong now?
Comment 6 caulier.gilles 2008-07-15 21:38:27 UTC
On the left top, the toolbar has buttons to move in album history.

On the bottom right, the statusbar has buttons to move between items from current albums.

It's more clear (:=)) ?

Gilles Caulier
Comment 7 Andi Clemens 2008-07-15 21:43:14 UTC
Ok :-)

But what the bugreporter is talking about (I guess) is move those buttons in the image editor to the bottom right as well... in image editor window those are not the history buttons...

Andi
Comment 8 caulier.gilles 2011-12-16 11:45:09 UTC
Mark,

This file still valid using digiKam 2.x serie ?

Gilles Caulier
Comment 9 caulier.gilles 2013-12-14 22:46:49 UTC
Since 3.x release, items navigation bar have been removed from status bar everywhere. So this entry is obsolete now.

Gilles Caulier
Comment 10 Mark Purcell 2013-12-14 23:53:34 UTC
On Sat, 14 Dec 2013 22:46:49 Gilles Caulier wrote:
> Since 3.x release, items navigation bar have been removed from status bar
> everywhere. So this entry is obsolete now.

Thanks Gilles.

Mark